Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 280131 - sys-process/god-0.7.13 (New Package)
Summary: sys-process/god-0.7.13 (New Package)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://god.rubyforge.org/
Whiteboard: sunrise-overlay
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2009-08-03 05:08 UTC by CS Shyam Sundar
Modified: 2017-02-21 13:15 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-ruby/god-0.7.13 (god-0.7.13.ebuild,407 bytes, text/plain)
2009-08-03 05:09 UTC, CS Shyam Sundar
Details
Init script for God (god.init,562 bytes, text/plain)
2009-11-12 21:39 UTC, Greg Fitzgerald
Details
Updated init script for God (god-0.13.7-r2.ebuild,938 bytes, text/plain)
2017-01-05 14:24 UTC, Lionel Bouton
Details
init script (real one) (god.initd,420 bytes, text/plain)
2017-01-05 14:26 UTC, Lionel Bouton
Details
default god.conf (god.conf,109 bytes, text/plain)
2017-01-05 14:27 UTC, Lionel Bouton
Details
systemd service file (god.service,213 bytes, text/plain)
2017-01-05 14:27 UTC, Lionel Bouton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description CS Shyam Sundar 2009-08-03 05:08:00 UTC
God is an easy to configure, easy to extend monitoring framework written in Ruby.

Keeping your server processes and tasks running should be a simple part of your deployment process. God aims to be the simplest, most powerful monitoring application available.

Features:
* Config file is written in Ruby
* Easily write your own custom conditions in Ruby
* Supports both poll and event based conditions
* Different poll conditions can have different intervals
* Integrated notification system (write your own too!)
* Easily control non-daemonizing scripts

God currently only works on Linux (kernel 2.6.15+), BSD, and Darwin systems. Event based conditions on Linux systems require the cn (connector) kernel module loaded or compiled in to the kernel and god must be run as root.

--

Suggested Category: dev-ruby/god. 

Tested on x86.
Comment 1 CS Shyam Sundar 2009-08-03 05:09:02 UTC
Created attachment 199975 [details]
dev-ruby/god-0.7.13
Comment 2 James Earl Spahlinger 2009-08-03 05:16:43 UTC
Thank you for this ebuild, you may also want to investigate putting your ebuild in the sunrise overlay which is located at http://www.gentoo.org/proj/en/sunrise/. When/if the ebuild is put into sunrise, please let us know on this bug.
Comment 3 CS Shyam Sundar 2009-08-03 18:36:18 UTC
Comment on attachment 199975 [details]
dev-ruby/god-0.7.13

Checked in a peer reviewd version on Sunrise Overlay.
Comment 4 CS Shyam Sundar 2009-08-04 09:38:11 UTC
The Ebuild has been uploaded to
overlays.gentoo.org/svn/proj/sunrise/sunrise/dev-ruby/god. Visit
http://overlays.gentoo.org/proj/sunrise/changeset/8945 .
Can the ruby herd members review it and add to overlay.
Comment 5 Greg Fitzgerald 2009-11-12 21:39:00 UTC
Created attachment 210067 [details]
Init script for God

Init script I wrote for God. Should work although the dependencies need some work.
Comment 6 Manuel Rüger (RETIRED) gentoo-dev 2014-07-26 14:12:19 UTC
Is there still any interest to get this into the tree? Please reply, otherwise the bug will be marked as WONTFIX in 30 days from now.

0.13.4 March 5, 2014  seems to be the recent version according to rubygems.
Comment 7 Manuel Rüger (RETIRED) gentoo-dev 2014-08-26 10:00:53 UTC
Closing old bug due to no response.
Comment 8 Lionel Bouton 2017-01-05 14:24:43 UTC
Created attachment 458828 [details]
Updated init script for God
Comment 9 Lionel Bouton 2017-01-05 14:25:43 UTC
Comment on attachment 458828 [details]
Updated init script for God

Argh this was the ebuild, sorry
Comment 10 Lionel Bouton 2017-01-05 14:26:32 UTC
Created attachment 458830 [details]
init script (real one)
Comment 11 Lionel Bouton 2017-01-05 14:27:25 UTC
Created attachment 458832 [details]
default god.conf

Will load /etc/god.d/*.god files
Comment 12 Lionel Bouton 2017-01-05 14:27:47 UTC
Created attachment 458834 [details]
systemd service file
Comment 13 Lionel Bouton 2017-01-05 14:32:04 UTC
We are using god in production.

I was not aware of this bug and created ebuild/rc/systemd/conf from scratch a while ago.
I just updated our ebuild to support the netlink event interface and found this bug. Our original 0.13.7 ebuild is in production on amd64 for more than a year now.

This might not warrant reopening the bug but these files might be useful for people looking for an ebuild and finding this bug.
Comment 14 Hans de Graaff gentoo-dev 2017-01-08 08:14:53 UTC
sys-process seems a better fit for this rather than dev-ruby, since this is an application, not a ruby development component.